Pre-release — content may change.

Roles

Update a role

PATCH
/roles/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Role UUID.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/roles/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "roles",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "roles",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "name": "string",      "description": "string",      "slug": "string",      "global": true,      "automated": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "resource": {        "data": {          "type": "organizations",          "id": "string"        },        "links": {          "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/resource",          "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/resource"        }      },      "role_summary": {        "data": {          "type": "role_summaries",          "id": "string"        },        "links": {          "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/role_summary",          "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/role_summary"        }      },      "people": {        "data": [          {            "type": "people",            "id": "string"          }        ],        "links": {          "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/people",          "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/people"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}